%global debug_package %{nil}

Name:          vinegar
Version:       v1.8.0
Release:       %autorelease
Summary:       A minimal, configurable, fast bootstrapper for running Roblox on Linux

License:       GPL-3.0-or-later
Group:         Amusements/Games
URL:           https://vinegarhq.org
Source0:       https://github.com/vinegarhq/vinegar/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: golang >= 1.22

# layer
BuildRequires: pkgconfig(vulkan)
BuildRequires: gcc-c++

# ui
BuildRequires: pkgconfig(libadwaita-1)

# desktop and appstream file validation
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

# Recommends: wine < 8.16
Suggests:      gamemode
# Some version of wine is required! Not a dependency for flexibility - this default because upstream has an issue that likely won't be fixed (see: segregrevert patch).
# will be moved to a require if it's ever fixed
Suggests:      wine >= 8.3

ExclusiveArch: x86_64

%description
Vinegar is a transparent, minimal, configurable, and fast bootstrapper
for Roblox Player and Roblox Studio.

%prep
%autosetup

%build
%make_build

%install
%make_install
chmod +x %{buildroot}%{_exec_prefix}/lib/libVkLayer_VINEGAR_VinegarLayer.so
rm %{buildroot}%{_iconsdir}/hicolor/icon-theme.cache

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.vinegarhq.Vinegar.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/org.vinegarhq.Vinegar.studio.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.vinegarhq.Vinegar.metainfo.xml

%files
%doc README.md
%license LICENSE
%{_bindir}/vinegar
%{_datadir}/applications/org.vinegarhq.Vinegar.desktop
%{_datadir}/applications/org.vinegarhq.Vinegar.studio.desktop
%{_metainfodir}/org.vinegarhq.Vinegar.metainfo.xml
%{_iconsdir}/hicolor/scalable/apps/org.vinegarhq.Vinegar.svg
%{_iconsdir}/hicolor/scalable/apps/org.vinegarhq.Vinegar.studio.svg
%{_exec_prefix}/lib/libVkLayer_VINEGAR_VinegarLayer.so
%{_datarootdir}/vulkan/explicit_layer.d/VkLayer_VINEGAR_VinegarLayer.json

%changelog
%autochangelog
